Skip to content
Browse files

Merge pull request #2 from weppos/update-rspec

Upgrade RSpec dependency
  • Loading branch information...
2 parents eb045d4 + 5858999 commit bc3d05d7c40c40165a1f12b41ce5ab4fdb393f24 @sporkmonger sporkmonger committed Jun 14, 2012
Showing with 38 additions and 63 deletions.
  1. +1 −0 .gitignore
  2. +2 −0 .rspec
  3. +2 −1 Gemfile
  4. +0 −9 Rakefile
  5. +6 −9 google-api-client.gemspec
  6. +0 −2 spec/spec.opts
  7. +3 −0 spec/spec_helper.rb
  8. +1 −2 tasks/gem.rake
  9. +23 −40 tasks/spec.rake
View
1 .gitignore
@@ -2,6 +2,7 @@
.DS_Store
.yardoc
.bundle
+.rvmrc
Gemfile.lock
coverage
doc
View
2 .rspec
@@ -0,0 +1,2 @@
+--colour
+--format documentation
View
3 Gemfile
@@ -1,5 +1,7 @@
source :rubygems
+gemspec
+
gem 'signet', '>= 0.3.4'
gem 'addressable', '>= 2.2.3'
gem 'uuidtools', '>= 2.1.0'
@@ -21,7 +23,6 @@ end
group :test, :development do
gem 'rake', '>= 0.9.0'
- gem 'rspec', '~> 1.2.9'
gem 'rcov', '>= 0.9.9', :platform => :mri_18
end
View
9 Rakefile
@@ -5,15 +5,6 @@ $LOAD_PATH.uniq!
require 'rubygems'
require 'rake'
-gem 'rspec', '~> 1.2.9'
-begin
- require 'spec/rake/spectask'
-rescue LoadError
- STDERR.puts "Please install rspec:"
- STDERR.puts "sudo gem install rspec"
- exit(1)
-end
-
require File.join(File.dirname(__FILE__), 'lib/google/api_client', 'version')
PKG_DISPLAY_NAME = 'Google API Client'
View
15 google-api-client.gemspec
@@ -6,16 +6,16 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Bob Aman"]
- s.date = "2012-06-07"
+ s.date = "2012-06-14"
s.description = "The Google API Ruby Client makes it trivial to discover and access supported\nAPIs.\n"
s.email = "bobaman@google.com"
s.executables = ["google-api"]
s.extra_rdoc_files = ["README.md"]
- s.files = ["lib/google", "lib/google/api_client", "lib/google/api_client/batch.rb", "lib/google/api_client/client_secrets.rb", "lib/google/api_client/discovery", "lib/google/api_client/discovery/api.rb", "lib/google/api_client/discovery/media.rb", "lib/google/api_client/discovery/method.rb", "lib/google/api_client/discovery/resource.rb", "lib/google/api_client/discovery/schema.rb", "lib/google/api_client/discovery.rb", "lib/google/api_client/environment.rb", "lib/google/api_client/errors.rb", "lib/google/api_client/media.rb", "lib/google/api_client/reference.rb", "lib/google/api_client/result.rb", "lib/google/api_client/service_account.rb", "lib/google/api_client/version.rb", "lib/google/api_client.rb", "lib/google/api_client.rb.orig", "lib/google/inflection.rb", "spec/fixtures", "spec/fixtures/files", "spec/fixtures/files/sample.txt", "spec/google", "spec/google/api_client", "spec/google/api_client/batch_spec.rb", "spec/google/api_client/discovery_spec.rb", "spec/google/api_client/media_spec.rb", "spec/google/api_client/result_spec.rb", "spec/google/api_client/service_account_spec.rb", "spec/google/api_client_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "tasks/gem.rake", "tasks/git.rake", "tasks/metrics.rake", "tasks/spec.rake", "tasks/wiki.rake", "tasks/yard.rake", "CHANGELOG.md", "Gemfile", "Gemfile.lock", "LICENSE", "Rakefile", "README.md", "bin/google-api"]
+ s.files = ["lib/google", "lib/google/api_client", "lib/google/api_client/batch.rb", "lib/google/api_client/client_secrets.rb", "lib/google/api_client/discovery", "lib/google/api_client/discovery/api.rb", "lib/google/api_client/discovery/media.rb", "lib/google/api_client/discovery/method.rb", "lib/google/api_client/discovery/resource.rb", "lib/google/api_client/discovery/schema.rb", "lib/google/api_client/discovery.rb", "lib/google/api_client/environment.rb", "lib/google/api_client/errors.rb", "lib/google/api_client/media.rb", "lib/google/api_client/reference.rb", "lib/google/api_client/result.rb", "lib/google/api_client/service_account.rb", "lib/google/api_client/version.rb", "lib/google/api_client.rb", "lib/google/inflection.rb", "spec/fixtures", "spec/fixtures/files", "spec/fixtures/files/sample.txt", "spec/google", "spec/google/api_client", "spec/google/api_client/batch_spec.rb", "spec/google/api_client/discovery_spec.rb", "spec/google/api_client/media_spec.rb", "spec/google/api_client/result_spec.rb", "spec/google/api_client/service_account_spec.rb", "spec/google/api_client_spec.rb", "spec/spec_helper.rb", "tasks/gem.rake", "tasks/git.rake", "tasks/metrics.rake", "tasks/spec.rake", "tasks/wiki.rake", "tasks/yard.rake", "CHANGELOG.md", "Gemfile", "Gemfile.lock", "LICENSE", "Rakefile", "README.md", "bin/google-api"]
s.homepage = "http://code.google.com/p/google-api-ruby-client/"
s.rdoc_options = ["--main", "README.md"]
s.require_paths = ["lib"]
- s.rubygems_version = "1.8.10"
+ s.rubygems_version = "1.8.24"
s.summary = "Package Summary"
if s.respond_to? :specification_version then
@@ -32,8 +32,7 @@ Gem::Specification.new do |s|
s.add_runtime_dependency(%q<launchy>, [">= 2.0.0"])
s.add_development_dependency(%q<sinatra>, [">= 1.2.0"])
s.add_development_dependency(%q<rake>, [">= 0.9.0"])
- s.add_development_dependency(%q<rspec>, ["~> 1.2.9"])
- s.add_development_dependency(%q<rcov>, [">= 0.9.9"])
+ s.add_development_dependency(%q<rspec>, ["~> 2.10.0"])
else
s.add_dependency(%q<signet>, [">= 0.3.4"])
s.add_dependency(%q<addressable>, [">= 2.2.3"])
@@ -45,8 +44,7 @@ Gem::Specification.new do |s|
s.add_dependency(%q<launchy>, [">= 2.0.0"])
s.add_dependency(%q<sinatra>, [">= 1.2.0"])
s.add_dependency(%q<rake>, [">= 0.9.0"])
- s.add_dependency(%q<rspec>, ["~> 1.2.9"])
- s.add_dependency(%q<rcov>, [">= 0.9.9"])
+ s.add_dependency(%q<rspec>, ["~> 2.10.0"])
end
else
s.add_dependency(%q<signet>, [">= 0.3.4"])
@@ -59,7 +57,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<launchy>, [">= 2.0.0"])
s.add_dependency(%q<sinatra>, [">= 1.2.0"])
s.add_dependency(%q<rake>, [">= 0.9.0"])
- s.add_dependency(%q<rspec>, ["~> 1.2.9"])
- s.add_dependency(%q<rcov>, [">= 0.9.9"])
+ s.add_dependency(%q<rspec>, ["~> 2.10.0"])
end
end
View
2 spec/spec.opts
@@ -1,2 +0,0 @@
---colour
---format specdoc
View
3 spec/spec_helper.rb
@@ -3,3 +3,6 @@
$LOAD_PATH.unshift(lib_dir)
$LOAD_PATH.uniq!
+
+RSpec.configure do |config|
+end
View
3 tasks/gem.rake
@@ -39,8 +39,7 @@ namespace :gem do
s.add_development_dependency('sinatra', '>= 1.2.0')
s.add_development_dependency('rake', '>= 0.9.0')
- s.add_development_dependency('rspec', '~> 1.2.9')
- s.add_development_dependency('rcov', '>= 0.9.9')
+ s.add_development_dependency('rspec', '~> 2.10.0')
s.require_path = 'lib'
View
63 tasks/spec.rake
@@ -1,16 +1,25 @@
-require 'spec/rake/verify_rcov'
require 'rake/clean'
+require 'rspec/core/rake_task'
CLOBBER.include('coverage', 'specdoc')
namespace :spec do
- Spec::Rake::SpecTask.new(:rcov) do |t|
- t.spec_files = FileList['spec/**/*_spec.rb']
- t.spec_opts = ['--require', 'rubygems', '--color', '--format', 'specdoc']
+ RSpec::Core::RakeTask.new(:all) do |t|
+ end
+
+ desc 'Generate HTML Specdocs for all specs.'
+ RSpec::Core::RakeTask.new(:specdoc) do |t|
+ specdoc_path = File.expand_path('../../specdoc', __FILE__)
+
+ t.rspec_opts = %W( --format html --out #{File.join(specdoc_path, 'index.html')} )
+ t.fail_on_error = false
+ end
+
+ RSpec::Core::RakeTask.new(:rcov) do |t|
if RCOV_ENABLED
if `which rcov`.strip == ""
STDERR.puts(
- "Please install rcov and ensure that its binary is in the PATH:"
+ "Please install rcov and ensure that its binary is in the PATH:"
)
STDERR.puts("sudo gem install rcov")
exit(1)
@@ -19,30 +28,16 @@ namespace :spec do
else
t.rcov = false
end
- t.rcov_opts = [
- '--exclude', 'lib\\/google\\/api_client\\/environment.rb',
- '--exclude', 'lib\\/compat',
- '--exclude', 'spec',
- '--exclude', '\\.rvm\\/gems',
- '--exclude', '1\\.8\\/gems',
- '--exclude', '1\\.9\\/gems',
- '--exclude', '\\.rvm',
- '--exclude', '\\/Library\\/Ruby',
- ]
- end
-
- Spec::Rake::SpecTask.new(:all) do |t|
- t.spec_files = FileList['spec/**/*_spec.rb']
- t.spec_opts = ['--require', 'rubygems', '--color', '--format', 'specdoc']
- t.rcov = false
- end
-
- Spec::Rake::SpecTask.new(:fast) do |t|
- t.spec_files = FileList['spec/**/*_spec.rb'].exclude(
- 'spec/**/*_slow_spec.rb'
+ t.rcov_opts = %w(
+ --exclude lib/google/api_client/environment.rb,
+ lib/compat,
+ spec,
+ .rvm/gems,
+ 1.8/gems,
+ 1.9/gems,
+ .rvm,
+ /Library/Ruby
)
- t.spec_opts = ['--require', 'rubygems', '--color', '--format', 'specdoc']
- t.rcov = false
end
if RCOV_ENABLED
@@ -54,18 +49,6 @@ namespace :spec do
task :verify => :rcov
end
- desc 'Generate HTML Specdocs for all specs'
- Spec::Rake::SpecTask.new(:specdoc) do |t|
- specdoc_path = File.expand_path(
- File.join(File.dirname(__FILE__), '../specdoc/'))
- Dir.mkdir(specdoc_path) if !File.exist?(specdoc_path)
-
- output_file = File.join(specdoc_path, 'index.html')
- t.spec_files = FileList['spec/**/*_spec.rb']
- t.spec_opts = ['--format', "\"html:#{output_file}\"", '--diff']
- t.fail_on_error = false
- end
-
namespace :rcov do
desc 'Browse the code coverage report.'
task :browse => 'spec:rcov' do

0 comments on commit bc3d05d

Please sign in to comment.
Something went wrong with that request. Please try again.